net.sf.jasperreports.charts.base

## Class JRBasePie3DPlot

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseChartPlot
  - - net.sf.jasperreports.charts.base.JRBasePie3DPlot

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRPie3DPlot, JRChangeEventsSupport, JRChartPlot, JRCloneable
  Direct Known Subclasses:
    JRDesignPie3DPlot

      public class JRBasePie3DPlot
      extends JRBaseChartPlot
      implements JRPie3DPlot

  Version:
    $Id: JRBasePie3DPlot.java 5898 2013-01-22 12:20:10Z chicuslavic $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.jasperreports.engine.base.JRBaseChartPlot

      `JRBaseChartPlot.JRBaseSeriesColor`

    - ### Nested classes/interfaces inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `JRChartPlot.JRSeriesColor`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.Boolean` | `circular`
    `protected java.lang.Double` | `depthFactorDouble`
    `protected JRItemLabel` | `itemLabel`
    `protected java.lang.String` | `labelFormat`
    `protected java.lang.String` | `legendLabelFormat`
    `static java.lang.String` | `PROPERTY_CIRCULAR`
    `static java.lang.String` | `PROPERTY_DEPTH_FACTOR`
    `static java.lang.String` | `PROPERTY_ITEM_LABEL`
    `static java.lang.String` | `PROPERTY_LABEL_FORMAT`
    `static java.lang.String` | `PROPERTY_LEGEND_LABEL_FORMAT`
    `static java.lang.String` | `PROPERTY_SHOW_LABELS`
    `protected java.lang.Boolean` | `showLabels`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseChartPlot

      `backcolor, backgroundAlphaFloat, chart, foregroundAlphaFloat, labelRotationDouble, orientationValue, PROPERTY_BACKCOLOR, PROPERTY_BACKGROUND_ALPHA, PROPERTY_FOREGROUND_ALPHA, PROPERTY_LABEL_ROTATION, PROPERTY_ORIENTATION, PROPERTY_SERIES_COLORS, seriesColors`

    - ### Fields inherited from interface net.sf.jasperreports.charts.JRPie3DPlot

      `DEPTH_FACTOR_DEFAULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRBasePie3DPlot(JRChartPlot chartPlot, JRChart chart)`
    `JRBasePie3DPlot(JRPie3DPlot pie3DPlot, JRBaseObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone(JRChart parentChart)`
    `void` | `collectExpressions(JRExpressionCollector collector)`
    `java.lang.Boolean` | `getCircular()`
    `java.lang.Double` | `getDepthFactorDouble()`
    `JRItemLabel` | `getItemLabel()`
    `java.lang.String` | `getLabelFormat()`
    `java.lang.String` | `getLegendLabelFormat()`
    `java.lang.Boolean` | `getShowLabels()`
    `void` | `setCircular(java.lang.Boolean isCircular)`
    `void` | `setDepthFactor(java.lang.Double depthFactor)`
    `void` | `setItemLabel(JRItemLabel itemLabel)`
    `void` | `setLabelFormat(java.lang.String labelFormat)`
    `void` | `setLegendLabelFormat(java.lang.String legendLabelFormat)`
    `void` | `setShowLabels(java.lang.Boolean showLabels)`

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseChartPlot

      `addSeriesColor, clearSeriesColors, clone, getBackcolor, getBackgroundAlphaFloat, getChart, getEventSupport, getForegroundAlphaFloat, getLabelRotationDouble, getOrientation, getOrientationValue, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setForegroundAlpha, setLabelRotation, setOrientation, setOrientation, setSeriesColors`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `addSeriesColor, clearSeriesColors, getBackcolor, getBackgroundAlphaFloat, getChart, getForegroundAlphaFloat, getLabelRotationDouble, getOrientation, getOrientationValue, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setForegroundAlpha, setLabelRotation, setOrientation, setOrientation, setSeriesColors`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Field Detail

    - #### PROPERTY_CIRCULAR

          public static final java.lang.String PROPERTY_CIRCULAR

      See Also:
        Constant Field Values

    - #### PROPERTY_DEPTH_FACTOR

          public static final java.lang.String PROPERTY_DEPTH_FACTOR

      See Also:
        Constant Field Values

    - #### PROPERTY_LABEL_FORMAT

          public static final java.lang.String PROPERTY_LABEL_FORMAT

      See Also:
        Constant Field Values

    - #### PROPERTY_LEGEND_LABEL_FORMAT

          public static final java.lang.String PROPERTY_LEGEND_LABEL_FORMAT

      See Also:
        Constant Field Values

    - #### PROPERTY_ITEM_LABEL

          public static final java.lang.String PROPERTY_ITEM_LABEL

      See Also:
        Constant Field Values

    - #### PROPERTY_SHOW_LABELS

          public static final java.lang.String PROPERTY_SHOW_LABELS

      See Also:
        Constant Field Values

    - #### depthFactorDouble

          protected java.lang.Double depthFactorDouble

    - #### circular

          protected java.lang.Boolean circular

    - #### labelFormat

          protected java.lang.String labelFormat

    - #### legendLabelFormat

          protected java.lang.String legendLabelFormat

    - #### itemLabel

          protected JRItemLabel itemLabel

    - #### showLabels

          protected java.lang.Boolean showLabels

  - ### Constructor Detail

    - #### JRBasePie3DPlot

          public JRBasePie3DPlot(JRChartPlot chartPlot,
                         JRChart chart)

    - #### JRBasePie3DPlot

          public JRBasePie3DPlot(JRPie3DPlot pie3DPlot,
                         JRBaseObjectFactory factory)

  - ### Method Detail

    - #### getDepthFactorDouble

          public java.lang.Double getDepthFactorDouble()

      Specified by:
        `getDepthFactorDouble` in interface `JRPie3DPlot`
      Returns:
        a numeric value ranging from 0 to 1 that represents the depth of the pie as a percentage of the height of the plot area.

    - #### getItemLabel

          public JRItemLabel getItemLabel()

      Specified by:
        `getItemLabel` in interface `JRPie3DPlot`
      Returns:
        a `JRItemLabel` object representing the item label

    - #### setDepthFactor

          public void setDepthFactor(java.lang.Double depthFactor)

    - #### collectExpressions

          public void collectExpressions(JRExpressionCollector collector)

      Specified by:
        `collectExpressions` in interface `JRChartPlot`

    - #### getCircular

          public java.lang.Boolean getCircular()

      Specified by:
        `getCircular` in interface `JRPie3DPlot`
      Returns:
        a flag that specifies a circular form for the 3D pie

    - #### setCircular

          public void setCircular(java.lang.Boolean isCircular)

      Parameters:
        `isCircular` - the isCircular to set

    - #### getLabelFormat

          public java.lang.String getLabelFormat()

      Specified by:
        `getLabelFormat` in interface `JRPie3DPlot`
      Returns:
        the labelFormat

    - #### setLabelFormat

          public void setLabelFormat(java.lang.String labelFormat)

      Parameters:
        `labelFormat` - the labelFormat to set

    - #### getLegendLabelFormat

          public java.lang.String getLegendLabelFormat()

      Specified by:
        `getLegendLabelFormat` in interface `JRPie3DPlot`
      Returns:
        the legendLabelFormat

    - #### setLegendLabelFormat

          public void setLegendLabelFormat(java.lang.String legendLabelFormat)

      Parameters:
        `legendLabelFormat` - the legendLabelFormat to set

    - #### setItemLabel

          public void setItemLabel(JRItemLabel itemLabel)

      Parameters:
        `itemLabel` - the itemLabel to set

    - #### getShowLabels

          public java.lang.Boolean getShowLabels()

      Specified by:
        `getShowLabels` in interface `JRPie3DPlot`
      Returns:
        a flag that specifies whether labels are to be shown or not

    - #### setShowLabels

          public void setShowLabels(java.lang.Boolean showLabels)

    - #### clone

          public java.lang.Object clone(JRChart parentChart)

      Specified by:
        `clone` in interface `JRChartPlot`
      Overrides:
        `clone` in class `JRBaseChartPlot`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com